######################################################################
#
# Macro Name    : d:/tutorials/surpac_v5.1/underground_ring_design/data_work/02_slice_objects.tcl
#
# Version       : Surpac Vision V5.1-E
#
# Creation Date : Mon Feb 27 14:26:30 2006
#
# Description   : 
#
######################################################################


set status [ SclFunction "EXECUTE OS COMMAND" {
  frm00462={
    {
      os_cmd="del 1055sec*.str"
    }
  }
}]



set status [ SclFunction "EXIT GRAPHICS" {
  frm00108={
    {
      exit_mode="E"
    }
  }
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="ringex1.dtm"
  mode="openInNewLayer"
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="cl1.str"
  mode="openInNewLayer"
}]

set status [ SclFunction "SELECT LAYER" {
  activelayer="ringex1.dtm"
}]

set status [ SclFunction "FACES OFF" {} ]

set status [ SclFunction "ZOOM OUT" {} ]

set status [ SclFunction "CENTRE LINE SLICE" {
  select_point=table { winx winy objectx objecty objectz } {
    { "-0.585" "-0.576" "11437.891" "21640.440" "1058.010" }
    { "0.527" "0.471" "11536.531" "21694.053" "1057.931" }
  }
  frm45001={
    {
      spacing="2"
      num_sections="99"
      first="90"
      last="90"
      slice_dip_angles="absolute"
      _action="Sections"
    }
    {
      _action=display
      spacing="2"
      num_sections="50"
      first="90"
      last="70"
      slice_dip_angles="absolute"
    }
  }
  frm45002={
    {
      _action=display
      object_range=""
      slice_layer="ring slices"
      file_prefix="1055sec"
      id_is_number_or_chainage="sequence numbers"
      start_id_number="1"
      coordinates="real world"
    }
  }
}]

set status [ SclFunction "SECTION" {} ]

set status [ SclFunction "ORBIT LEFT" {} ]

set status [ SclFunction "ORBIT LEFT" {} ]

set status [ SclFunction "ORBIT LEFT" {} ]

puts ""
puts ""
puts ""
puts "End of macro 02_slice_objects.tcl"
puts ""
puts ""

